> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List History

> List sprint history.



## OpenAPI

````yaml /openapi.json get /api/v1/sprints/{sprint_id}/history
openapi: 3.1.0
info:
  description: >-
    Okto Pulse REST API schema generated from okto-pulse-core 0.2.0 source for
    docs.oktolabs.ai.
  title: Okto Pulse
  version: 0.2.0
servers: []
security: []
paths:
  /api/v1/sprints/{sprint_id}/history:
    get:
      tags:
        - sprints
      summary: List History
      description: List sprint history.
      operationId: list_history_api_v1_sprints__sprint_id__history_get
      parameters:
        - in: path
          name: sprint_id
          required: true
          schema:
            title: Sprint Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/SprintHistoryResponse'
                title: Response List History Api V1 Sprints  Sprint Id  History Get
                type: array
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    SprintHistoryResponse:
      description: Schema for sprint history entry.
      properties:
        action:
          title: Action
          type: string
        actor_id:
          title: Actor Id
          type: string
        actor_name:
          title: Actor Name
          type: string
        actor_type:
          title: Actor Type
          type: string
        changes:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Changes
        created_at:
          format: date-time
          title: Created At
          type: string
        id:
          title: Id
          type: string
        sprint_id:
          title: Sprint Id
          type: string
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
        version:
          anyOf:
            - type: integer
            - type: 'null'
          title: Version
      required:
        - id
        - sprint_id
        - action
        - actor_type
        - actor_id
        - actor_name
        - created_at
      title: SprintHistoryResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````